aboutsummaryrefslogtreecommitdiff
path: root/debian/naskpass.postrm
diff options
context:
space:
mode:
authorroot <root@jessyx86.local>2016-07-05 17:03:49 +0200
committerroot <root@jessyx86.local>2016-07-06 00:02:30 +0200
commit9824c70507fd02cb61f0d2ac9c982e955cd911bb (patch)
treef138ef7f640963294a46f27ee7ab1c31e1974e7a /debian/naskpass.postrm
parente0bf28500af7f6ae498f207562fedb866f12856a (diff)
naskpass initramfs openssh support
Diffstat (limited to 'debian/naskpass.postrm')
-rwxr-xr-xdebian/naskpass.postrm33
1 files changed, 33 insertions, 0 deletions
diff --git a/debian/naskpass.postrm b/debian/naskpass.postrm
new file mode 100755
index 0000000..0963e23
--- /dev/null
+++ b/debian/naskpass.postrm
@@ -0,0 +1,33 @@
+#!/bin/sh
+# postrm script for naskpass
+#
+# see: dh_installdeb(1)
+
+set -e
+
+
+. /usr/share/debconf/confmodule
+
+case "$1" in
+ purge)
+ rm -f /etc/initramfs-tools/etc/ssh/authorized_keys
+ rm -f /etc/initramfs-tools/etc/ssh/ssh_host_dsa_key
+ rm -f /etc/initramfs-tools/etc/ssh/ssh_host_dsa_key.pub
+ rm -f /etc/initramfs-tools/etc/ssh/ssh_host_rsa_key
+ rm -f /etc/initramfs-tools/etc/ssh/ssh_host_rsa_key.pub
+ ;;
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0